package digi.recipeManager.data;

public class Flag<T>
{
	private T		value			= null;
	private String	failMessage		= null;
	private String	successMessage	= null;
	
	public Flag(final T value)
	{
		this.value = value;
	}
	
	public Flag(final T value, final String failMessage)
	{
		this.value = value;
		setFailMessage(failMessage);
	}
	
	public Flag(final T value, final String failMessage, final String successMessage)
	{
		this.value = value;
		setFailMessage(failMessage);
		setSuccessMessage(successMessage);
	}
	
	public void setFailMessage(final String failMessage)
	{
		this.failMessage = failMessage;
	}
	
	public String getFailMessage()
	{
		return failMessage;
	}
	
	public void setSuccessMessage(final String successMessage)
	{
		this.successMessage = successMessage;
	}
	
	public String getSuccessMessage()
	{
		return successMessage;
	}
	
	public T getValue()
	{
		return value;
	}
	
	public void setValue(final T value)
	{
		this.value = value;
	}
}